Edit a shipment
curl --request PATCH \
--url https://api.terminal49.com/v2/shipments/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.terminal49.com/v2/shipments/{id}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.terminal49.com/v2/shipments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationships": {
"destination": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"port_of_lading": {
"data": {
"type": "port",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"containers": {
"data": [
{
"type": "container",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"port_of_discharge": {
"data": {
"type": "port",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"pod_terminal": {
"data": {
"type": "terminal",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"destination_terminal": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"line_tracking_stopped_by_user": {
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
},
"attributes": {
"bill_of_lading_number": "<string>",
"normalized_number": "<string>",
"ref_numbers": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"port_of_lading_locode": "<string>",
"port_of_lading_name": "<string>",
"port_of_discharge_locode": "<string>",
"port_of_discharge_name": "<string>",
"destination_locode": "<string>",
"destination_name": "<string>",
"shipping_line_scac": "<string>",
"shipping_line_name": "<string>",
"shipping_line_short_name": "<string>",
"customer_name": "<string>",
"pod_vessel_name": "<string>",
"pod_vessel_imo": "<string>",
"pod_voyage_number": "<string>",
"pol_etd_at": "2023-11-07T05:31:56Z",
"pol_atd_at": "2023-11-07T05:31:56Z",
"pod_eta_at": "2023-11-07T05:31:56Z",
"pod_original_eta_at": "2023-11-07T05:31:56Z",
"pod_ata_at": "2023-11-07T05:31:56Z",
"destination_eta_at": "2023-11-07T05:31:56Z",
"destination_ata_at": "2023-11-07T05:31:56Z",
"pol_timezone": "<string>",
"pod_timezone": "<string>",
"destination_timezone": "<string>",
"line_tracking_last_attempted_at": "2023-11-07T05:31:56Z",
"line_tracking_last_succeeded_at": "2023-11-07T05:31:56Z",
"line_tracking_stopped_at": "2023-11-07T05:31:56Z"
},
"type": "shipment",
"links": {
"self": "<string>"
}
}
}Shipments
Edit a shipment
Update editable shipment attributes in the Terminal49 API, including reference numbers, customer party, and operator-managed fields without retracking.
PATCH
/
shipments
/
{id}
Edit a shipment
Authorizations
Use a Terminal49 API key in the Authorization header with the Token prefix.
Authorization: Token YOUR_API_KEY
Path Parameters
Shipment Id
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
โI